Subject: Re: [PATCHSET] Mobile IPv6 for 2.5.43

From: Mitsuru KANDA <[email-masked]>
Date: Fri, 18 Oct 2002 02:56:33 +0900

> > The patch has been split for easier reading as follows:
> > 
> > ipv6_tunnel.patch	6over6 tunneling
> > network_mods.patch	Modifications to network code and hooks
> 
> Several comments.
> 
> [ipv6_tunnel]
> 
> I think this is almost ok.
I think so.
I know ipv6_tunnel is stable as I use.

> 
>   1. I believe s/ARPHRD_IPV6_IPV6_TUNNEL/ARPHRD_TUNNEL6/.
>   2. Please put outer address to hardware address in dev.
>      Note: you need to modify SIOxxx ioctls too not to overrun!
plus:
   (maybe not whole kernel issue)
   It is important to integrate your ipv6tunnel command into ifconfig(8) and/or ip(8). 

Regards,
-mk